| Flutter iOS Embedder |

Instance Methods | Protected Attributes | List of all members
FlutterMetalLayer() Category Reference

## Instance Methods
(void) | - onDisplayLink:
(void) | - presentTexture:
(void) | - returnTexture:

## Protected Attributes
id< MTLDevice > | _preferredDevice
CGSize | _drawableSize
NSUInteger | _nextDrawableId
NSMutableSet< FlutterTexture * > * | _availableTextures
NSUInteger | _totalTextures
FlutterTexture * | _front
CADisplayLink * | _displayLink
NSUInteger | _displayLinkPauseCountdown
BOOL | _didSetContentsDuringThisDisplayLinkPeriod
BOOL | _displayLinkForcedMaxRate

## Detailed Description

Definition at line 27 of file FlutterMetalLayer.mm.

## Method Documentation

## ◆ onDisplayLink:

- (void) onDisplayLink: |  | (CADisplayLink *) | link |

## ◆ presentTexture:

- (void) presentTexture: |  | (FlutterTexture *) | texture |

## ◆ returnTexture:

- (void) returnTexture: |  | (FlutterTexture *) | texture |

## Member Data Documentation

## ◆ _availableTextures

- (NSMutableSet<FlutterTexture*>*) _availableTextures
| protected

Definition at line 34 of file FlutterMetalLayer.mm.

## ◆ _didSetContentsDuringThisDisplayLinkPeriod

- (BOOL) _didSetContentsDuringThisDisplayLinkPeriod
| protected

Definition at line 48 of file FlutterMetalLayer.mm.

## ◆ _displayLink

- (CADisplayLink*) _displayLink
| protected

Definition at line 40 of file FlutterMetalLayer.mm.

## ◆ _displayLinkForcedMaxRate

- (BOOL) _displayLinkForcedMaxRate
| protected

Definition at line 51 of file FlutterMetalLayer.mm.

## ◆ _displayLinkPauseCountdown

- (NSUInteger) _displayLinkPauseCountdown
| protected

Definition at line 41 of file FlutterMetalLayer.mm.

## ◆ _drawableSize

- (CGSize) _drawableSize
| protected

Definition at line 29 of file FlutterMetalLayer.mm.

## ◆ _front

- (FlutterTexture*) _front
| protected

Definition at line 36 of file FlutterMetalLayer.mm.

## ◆ _nextDrawableId

- (NSUInteger) _nextDrawableId
| protected

Definition at line 31 of file FlutterMetalLayer.mm.

## ◆ _preferredDevice

- (id<MTLDevice>) _preferredDevice
| protected

Definition at line 28 of file FlutterMetalLayer.mm.

## ◆ _totalTextures

- (NSUInteger) _totalTextures
| protected

Definition at line 35 of file FlutterMetalLayer.mm.

The documentation for this category was generated from the following file:

- shell/platform/darwin/ios/framework/Source/FlutterMetalLayer.mm